Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes | Friends
PropList Class Reference

`#include <c++/src/H5PropList.h>`

## Detailed Description

Class PropList inherits from IdComponent and provides wrappers for the HDF5 generic property list.

Inheritance diagram for PropList:

## Public Member Functions
virtual void | close () override
void | closeClass () const
void | copy (const PropList &like_plist)
void | copyProp (PropList &dest, const char *name) const
void | copyProp (PropList &dest, const H5std_string &name) const
void | copyProp (PropList &dest, PropList &src, const char *name) const
void | copyProp (PropList &dest, PropList &src, const H5std_string &name) const
virtual H5std_string | fromClass () const override
| Returns this class name.
hid_t | getClass () const
H5std_string | getClassName () const
PropList | getClassParent () const
virtual hid_t | getId () const override
size_t | getNumProps () const
H5std_string | getProperty (const char *name) const
void | getProperty (const char *name, void *value) const
H5std_string | getProperty (const H5std_string &name) const
void | getProperty (const H5std_string &name, void *value) const
size_t | getPropSize (const char *name) const
size_t | getPropSize (const H5std_string &name) const
bool | isAClass (const PropList &prop_class) const
PropList & | operator= (const PropList &rhs)
bool | operator== (const PropList &rhs) const
bool | propExist (const char *name) const
| Query the existence of a property in a property object.
bool | propExist (const H5std_string &name) const
| PropList ()
| PropList (const hid_t plist_id)
| PropList (const PropList &original)
void | removeProp (const char *name) const
void | removeProp (const H5std_string &name) const
void | setProperty (const char *name, const char *charptr) const
void | setProperty (const char *name, const H5std_string &strg) const
void | setProperty (const char *name, const void *value) const
void | setProperty (const char *name, H5std_string &strg) const
void | setProperty (const char *name, void *value) const
void | setProperty (const H5std_string &name, const H5std_string &strg) const
void | setProperty (const H5std_string &name, const void *value) const
void | setProperty (const H5std_string &name, H5std_string &strg) const
void | setProperty (const H5std_string &name, void *value) const
virtual | ~PropList () override
Public Member Functions inherited from IdComponent
void | decRefCount () const
void | decRefCount (const hid_t obj_id) const
int | getCounter () const
int | getCounter (const hid_t obj_id) const
H5I_type_t | getHDFObjType () const
void | incRefCount () const
void | incRefCount (const hid_t obj_id) const
H5std_string | inMemFunc (const char *func_name) const
IdComponent & | operator= (const IdComponent &rhs)
void | setId (const hid_t new_id)
virtual | ~IdComponent ()=default

## Static Public Member Functions
static void | deleteConstants ()
Static Public Member Functions inherited from IdComponent
static H5I_type_t | getHDFObjType (const hid_t obj_id)
static hsize_t | getNumMembers (H5I_type_t type)
static bool | isValid (hid_t an_id)
static bool | typeExists (H5I_type_t type)

## Static Public Attributes
static const PropList & | DEFAULT
| Default property list.

## Protected Member Functions
virtual void | p_setId (const hid_t new_id) override
Protected Member Functions inherited from IdComponent
| IdComponent ()
H5std_string | p_get_file_name () const

## Protected Attributes
hid_t | id

## Friends
void | f_PropList_setId (PropList *plist, hid_t new_id)

## Additional Inherited Members
Static Protected Member Functions inherited from IdComponent
static bool | p_valid_id (const hid_t obj_id)
Static Protected Attributes inherited from IdComponent
static bool | H5dontAtexit_called

## Constructor & Destructor Documentation

## ◆ PropList() [1/3]

PropList | ( | const hid_t | plist_id | ) |

## ◆ PropList() [2/3]

PropList | ( |  | ) |

## ◆ PropList() [3/3]

PropList | ( | const PropList & | original | ) |

## ◆ ~PropList()

virtual ~PropList | ( |  | ) |
| override virtual

## Member Function Documentation

## ◆ close()

virtual void close | ( |  | ) |
| override virtual

Implements IdComponent.

## ◆ closeClass()

void closeClass | ( |  | ) | const

## ◆ copy()

void copy | ( | const PropList & | like_plist | ) |

## ◆ copyProp() [1/4]

void copyProp | ( | PropList & | dest,
|  | const char * | name ) const

## ◆ copyProp() [2/4]

void copyProp | ( | PropList & | dest,
|  | const H5std_string & | name ) const

## ◆ copyProp() [3/4]

void copyProp | ( | PropList & | dest,
|  | PropList & | src,
|  | const char * | name ) const

## ◆ copyProp() [4/4]

void copyProp | ( | PropList & | dest,
|  | PropList & | src,
|  | const H5std_string & | name ) const

## ◆ deleteConstants()

static void deleteConstants | ( |  | ) |
| static

## ◆ fromClass()

virtual H5std_string fromClass | ( |  | ) | const
| override virtual

Returns this class name.

Reimplemented from IdComponent.

Reimplemented in DSetAccPropList, DSetCreatPropList, DSetMemXferPropList, FileAccPropList, FileCreatPropList, LinkAccPropList, LinkCreatPropList, and ObjCreatPropList.

## ◆ getClass()

hid_t getClass | ( |  | ) | const

## ◆ getClassName()

H5std_string getClassName | ( |  | ) | const

## ◆ getClassParent()

PropList getClassParent | ( |  | ) | const

## ◆ getId()

virtual hid_t getId | ( |  | ) | const
| override virtual

Implements IdComponent.

## ◆ getNumProps()

size_t getNumProps | ( |  | ) | const

## ◆ getProperty() [1/4]

H5std_string getProperty | ( | const char * | name | ) | const

## ◆ getProperty() [2/4]

void getProperty | ( | const char * | name,
|  | void * | value ) const

## ◆ getProperty() [3/4]

H5std_string getProperty | ( | const H5std_string & | name | ) | const

## ◆ getProperty() [4/4]

void getProperty | ( | const H5std_string & | name,
|  | void * | value ) const

## ◆ getPropSize() [1/2]

size_t getPropSize | ( | const char * | name | ) | const

## ◆ getPropSize() [2/2]

size_t getPropSize | ( | const H5std_string & | name | ) | const

## ◆ isAClass()

bool isAClass | ( | const PropList & | prop_class | ) | const

## ◆ operator=()

PropList & operator= | ( | const PropList & | rhs | ) |

## ◆ operator==()

bool operator== | ( | const PropList & | rhs | ) | const

## ◆ p_setId()

virtual void p_setId | ( | const hid_t | new_id | ) |
| override protected virtual

Implements IdComponent.

## ◆ propExist() [1/2]

bool propExist | ( | const char * | name | ) | const

Query the existence of a property in a property object.

## ◆ propExist() [2/2]

bool propExist | ( | const H5std_string & | name | ) | const

## ◆ removeProp() [1/2]

void removeProp | ( | const char * | name | ) | const

## ◆ removeProp() [2/2]

void removeProp | ( | const H5std_string & | name | ) | const

## ◆ setProperty() [1/9]

void setProperty | ( | const char * | name,
|  | const char * | charptr ) const

## ◆ setProperty() [2/9]

void setProperty | ( | const char * | name,
|  | const H5std_string & | strg ) const

## ◆ setProperty() [3/9]

void setProperty | ( | const char * | name,
|  | const void * | value ) const

## ◆ setProperty() [4/9]

void setProperty | ( | const char * | name,
|  | H5std_string & | strg ) const

## ◆ setProperty() [5/9]

void setProperty | ( | const char * | name,
|  | void * | value ) const

## ◆ setProperty() [6/9]

void setProperty | ( | const H5std_string & | name,
|  | const H5std_string & | strg ) const

## ◆ setProperty() [7/9]

void setProperty | ( | const H5std_string & | name,
|  | const void * | value ) const

## ◆ setProperty() [8/9]

void setProperty | ( | const H5std_string & | name,
|  | H5std_string & | strg ) const

## ◆ setProperty() [9/9]

void setProperty | ( | const H5std_string & | name,
|  | void * | value ) const

## Friends And Related Symbol Documentation

## ◆ f_PropList_setId

void f_PropList_setId | ( | PropList * | plist,
|  | hid_t | new_id )
| friend

## Field Documentation

## ◆ DEFAULT

const PropList& DEFAULT
| static

Default property list.

## ◆ id

hid_t id
| protected

The documentation for this class was generated from the following file:

- c++/src/H5PropList.h